Subject: bug#7700: 24.0.50; C-y binding withing Isearch mode

From: Stefan Monnier <[email-masked]>
Date: Fri, 24 Dec 2010 23:06:59 -0500

> Not much, provided that the <prefix> key was required only one time. I
> think would be good to have that key as a switch to turn "grabbing
> mode" on/off.

But then means that the equivalent to C-y wouldn't be "<prefix> C-e" but
"<prefix> C-e <prefix>", which is becoming significantly
more burdensome.  We're slowly getting to the point where M-e becomes
a worthy contender.  Maybe it's OK, but I was thinking of something more
lightweight that would only accept one command so as to avoid needing an
additional "exit" key.

>> I suggest instead that any standard forward movement command while in
>> isearch forward mode should select the text to grab WITHOUT any
>> prefix key.

That might be a good choice, but:
- we lack experimental evidence for that.
- it would probably be too big a change to have that as a default behavior.

        Stefan